lp:~pythoneers/ubuntu/lucid/python2.7/ltsppa

Created by Barry Warsaw on 2011-09-14 and last modified on 2011-09-14
Get this branch:
bzr branch lp:~pythoneers/ubuntu/lucid/python2.7/ltsppa
Members of Ubuntu Pythoneers can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu Pythoneers
Status:
Development

Recent revisions

37. By Barry Warsaw on 2011-09-14

* Back port to Lucid LTS PPA.
  - Apply patch for issue 10309, required for mremap() definition.

36. By Barry Warsaw on 2011-09-07

* Update to 20110816, taken from the 2.7 branch.
  - Fix issue#12752. LP: #824734.
* Don't run test_threading on the kfreebsd-i386 buildd.
* Update to 20110803, taken from the 2.7 branch.
* Fix build on s390x. Closes: #636033.
* Use linux-any for some build dependencies. Closes: #634809.
* Revert previous change to treat Linux 3.x as Linux 2. Use the
  plat-linux3 directory instead.
* Update to 20110709, taken from the 2.7 branch.
* Make the conflict against python-profiler a versioned conflict.
* Don't run the bsddb3 tests on kfreebsd-i386.
* Don't add the bsddb multilib path, if already in the standard lib path.
* Treat Linux 3.x as Linux 2. Closes: #633015.
* Assume working semaphores on Linux, don't rely on running kernel
  for the check. Closes: #631188.

35. By Barry Warsaw on 2011-09-07

* Back port to Lucid PPA.
  - Apply patch for issue 10309, required for mremap() definition.

34. By Matthias Klose on 2011-06-28

* Update to 20110628, taken from the 2.7 branch.
* Add profile/pstats to the python2.7 package, update debian copyright.
* Don't run the bsddb3 tests on kfreebsd-amd64.
* Don't run the benchmark on hurd-i386.

33. By Matthias Klose on 2011-06-12

Python 2.7.2 release.

32. By Matthias Klose on 2011-05-31

Set pyexpat dummy version string.

31. By Matthias Klose on 2011-05-30

* Python 2.7.2 release candidate 1.
* Update libpython symbols file for m68k (Thorsten Glaser). Closes: #627458.
* Apply proposed patch for issue #670664. LP: #357067.

30. By Matthias Klose on 2011-05-20

Update to 20110520, taken from the 2.7 branch.

29. By Matthias Klose on 2011-04-11

Force linking the curses module against libncursesw.

28. By Steve Langasek on 2011-03-23

debian/patches/deb-setup.diff: DEB_GNU_TYPE was never being set, so
the expected multiarch path support wasn't working. Consolidate to
a single call to dpkg-architecture -qDEB_HOST_MULTIARCH in setup.py.
LP: #738213.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/oneiric/python2.7
This branch contains Public information 
Everyone can see this information.